///////////////////////////////////////////////////////////////
//    Crowbar（クロウバー）
///////////////////////////////////////////////////////////////

// 動作に関わるオプション．ドキュメントを読んで理解したら自由に設定して構いません．
void Options() {
//  crow.setAutoScrollPage(0.5);
//  crow.setAutoScrollLines(2);
//  crow.enableOverlap();
  crow.fontSize(14);
  crow.hStep(1.5);
  crow.vStep(1.5);
  crow.textColor(#030303);
}

// パラメータ入力前に行っておきたい処理（setup()の最初に自動実行）
void initCrowbar() {
  crow = startCrowbar.generate(50, 30, 2);
}
crowbarClass crow;

///////////////////////////////////////////////////////////////////////////////////
// ここから下のコードはユーザが積極的に記述して構わない
///////////////////////////////////////////////////////////////////////////////////
// システム初期設定
void Setup()
{
  int w, h;
  w = width; h = height;
  crow.programComment("Tomahawk統合の実験");

  crow.createView("Left").worldLB(1.0).setViewBgColor(#ff8080).setViewScale(1.0).setViewOffset(20, 20);
  crow.splitViewH("RightUpper", 0.5).worldLB(1.0).setViewBgColor(#80ff80).setViewScale(1.5);
  crow.splitViewV("RightLower", 0.5).worldLB(1.0).setViewBgColor(#8080ff).setViewScale(2.0).setViewOffset(20, 20);

  // オーバーラップウィンドウ風
  crow.createView("Middle", w / 4, h / 4, w /2, h /2).worldLB(1.0).setViewBgColor(#808080).setTransparency(128).setViewScale(1.0).setViewOffset(20, 20).setFrameWidth(20);
  // 軌跡表示用
  crow.createView("Trajectory").worldLB(1.0).setTransparentView(true).clrView();

  crow.define("テキスト表示X座標", 0).label("cx");
  crow.define("テキスト表示Y座標", 0).label("cy");
  crow.nonStop();
}

// メインルーチン
// ユーザのメインのプログラム（１度しか実行されない）を以下に記述
int cx, cy;
int targetView = 0;
boolean clicked;
PImage pimg;

void Main() {
  crow.displayAllViewData();
  cx = crow.getInt("cx");
  cy = crow.getInt("cy");
  
  clicked = false;
}

